GET v1/orders/{id}
GET /v1/orders/{id}
Get a single order by id.
For more information you can check our Authentication V1 article.
This endpoint can be used for more detailed information about orders.
Headers
| Name | Value |
|---|---|
| Content-Type | application/json |
| X-PCK | {{X-PCK}} |
| X-Signature | {{X-Signature}} |
| X-Stamp | {{X-Stamp}} |
| X-Nonce | {{X-Nonce}} |
Response
- 200
- 404
{
"id": "12",
"accountId": "0280130e2bf44aba99fcf7d59153400d",
"pairSymbol": "BTCTRY",
"feePercentage": "0.0008474580000000",
"taxPercentage": "0.2000000000000000",
"initialAmount": "100.0000000000000000", //first order amount as numerator
"currentAmount": "0.0000000000000000", //left order amount as numerator
"matchedAmount": "100.0000000000000000", //matched order amount as numerator
"price": "13.5000000000000000",
"initialTotal": "1351.3728819600000000", //first order amount as denominator
"currentTotal": "0.0000000000000000", //left order amount as denominator
"matchedTotal": "1351.3728819600000000", //matched order amount as denominator
"method": "Limit", //Limit, Market
"type": "Buy", //Buy, Sell
"status": "Closed", //Untouched, Partial, Closed, Canceled
"externalOrderId": "Hft-12",
"createdAt": "2024-02-02T09:22:43.498728",
"createdBy": "[email protected]"
}
{
"type": "https://tools.ietf.org/html/rfc9110#section-15.5.5",
"title": "Not Found",
"status": 404,
"traceId": "0HN278NGT6JUB:0000000E"
}